#### D.12.2.50 m_merkle_hellman_transformation

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  m_merkle_hellman_transformation(knapsack, primitive, mod1)

Return:
  list containing a hard knapsack

Example:

    LIB "crypto.lib";
    //Please note that the values for primenum and hardknapsack have been obtained from the example of naccache_stern_generation and naccache_stern_encryption!
    list knapsack = 2,3,5,7;
    int mod1 = 211;
    int primitive = 2;
    m_merkle_hellman_transformation(knapsack,primitive,mod1);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    43
    ==> [3]:
    ==>    132
    ==> [4]:
    ==>    139

User manual for Singular version 4.4.1, 2025, generated by texi2html.